{
  "condition": {
    //模式配置，仅开发期间生效
    "current": 0,
    //当前激活的模式(list 的索引项)
    "list": [
      {
        "name": "广告",
        //模式名称
        "path": "pages/example/ad",
        //启动页面，必选
        "query": "scene='id=555563434u5io3uu4u5'"
        //启动参数，在页面的onLoad函数里面得到
      }
    ]
  },
  "easycom": {
    // 注意一定要放在custom里，否则无效，https://ask.dcloud.net.cn/question/131175
    "custom": {
      // "^u--(.*)": "uview-plus/components/u-$1/u-$1.vue",
      // "^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
      // "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue",
      "^u--(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
      "^up-(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
      "^u-([^-].*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
      "^dw-(.*)": "dw-$1/components/dw-$1/dw-$1.vue"
    }
  },
  "pages": [
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
    {
      "path": "pages/workbench/index",
      "style": {
        "navigationBarTitleText": "工作台",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/my/index",
      "style": {
        "navigationBarTitleText": "我的"
      }
    },
    {
      "path": "pages/login/index",
      "style": {
        "navigationBarTitleText": ""
      }
    }
  ],
  "subPackages": [
    {
      "root": "pages/workbenchsub",
      "pages": [
        {
          "path": "device/list",
          "style": {
            "navigationBarTitleText": "设备列表",
            "enablePullDownRefresh": true
          }
        },
        {
          "path": "device/detail",
          "style": {
            "navigationBarTitleText": "详细信息"
          }
        },
        {
          "path": "workorder/list",
          "style": {
            "navigationBarTitleText": "工单管理"
          }
        },
        {
          "path": "workorder/detail",
          "style": {
            "navigationBarTitleText": "工单处置"
          }
        },
        {
          "path": "workorder/submit",
          "style": {
            "navigationBarTitleText": "工单提报"
          }
        }
      ]
    }
  ],
  "preloadRule": {
    //    "pages/example/components": {
    //      "network": "all",
    //      "packages": [
    //        "pages/componentsA",
    //        "pages/componentsB"
    //      ]
    //    }
  },
  "globalStyle": {
    "navigationBarTextStyle": "white",
    "navigationBarTitleText": "uview-plus",
    "navigationBarBackgroundColor": "#0079fe",
    "backgroundColor": "#f5f5f5"
  },
  "tabBar": {
    "color": "#cccccc",
    "selectedColor": "#005ce6",
    "backgroundColor": "#ffffff",
    "list": [
      {
        "pagePath": "pages/workbench/index",
        "iconPath": "static/aiot/normal_u55.png",
        "selectedIconPath": "static/aiot/normal_u74.png",
        "text": "工作台"
      },
      {
        "pagePath": "pages/my/index",
        "iconPath": "static/aiot/my_unselect.png",
        "selectedIconPath": "static/aiot/my_select.png",
        "text": "我的"
      }
    ]
  }
}
